Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Static Public Member Functions | Data Fields | Static Public Attributes
proofs::Poly< N, Field > Class Template Reference
Collaboration diagram for proofs::Poly< N, Field >:
[legend]

## Data Structures
class | dot_interpolation

## Public Types
using | Elt = typename Field::Elt
using | T = Poly

## Public Member Functions
Elt & | operator[] (size_t i)
const Elt & | operator[] (size_t i) const
T & | add (const T &y, const Field &F)
T & | sub (const T &y, const Field &F)
T & | mul (const T &y, const Field &F)
T & | mul_scalar (const Elt &y, const Field &F)
void | newton_of_lagrange (const Field &F)
Elt | eval_newton (const Elt &x, const Field &F) const
Elt | eval_lagrange (const Elt &x, const Field &F) const
Elt | eval_monomial (const Elt &x, const Field &F) const

## Static Public Member Functions
static T | extend (const Poly< 2, Field > &f, const Field &F)

## Data Fields
Elt | t_ [N]

## Static Public Attributes
static const size_t | kN = N

The documentation for this class was generated from the following file:

- lib/algebra/poly.h